Bug 142622 - Fedora core 3 can not boot from system disk after installation
Fedora core 3 can not boot from system disk after installation
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-10 18:26 EST by Robinson Tiemuqinke
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-13 20:48:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Robinson Tiemuqinke 2004-12-10 18:26:21 EST
Description of problem:

The problem is related to kernel module load sequence by anaconda.

I have 4 SATA hard drives on my PC, two connected to motherboard 
directly and 2 others are conncted through Promise SATA raid card. 
while only the primary SATA hard drive directly connected to 
motherboard is bootable.

 When FC3 anaconda begins installation, it first load sata_promise, 
and then load ata_piix(wrong sequence!!). So /dev/sda and /dev/sdb 
are wrongly assigned to two hard drives connected through peripheral 
Promise SATA card, FC3 operation system is then installed to /dev/sda 
which is not bootable. /dev/sdc and /dev/sdd are then assgined to two 
hard drives directly connected to motherboard(ata_piix module).

 After machhine installed successfully, it just can not boot. 

 If anaconda can change the sata drive load sequence, like:

 the driver module for SATA interfaces motherboard loads first.
 the driver module for peripheral local SATA interface load second,
 
 Then the problems will go away at once.

 If there is a place|section, like in ks.cfg or anaconda.conf, that 
we can specify the above "kernel module loading sequence" for initial 
installation? does anaconda respect /etc/modules.conf 
or /etc/modprobe.conf(FC3) during installation?  




Version-Release number of selected component (if applicable):


How reproducible:

Steps to Reproduce:

1. find a machine, like HP workstation xw4100 or xw4200, with 4 sata 
hard drives, two connected to motherboard, and two others through 
promise SATA card.

2. begin normal installation  in text mode and it will be 
successfully installed, check the /tmp/anaconda.log to have a look of 
the module load sequence.

3. reboot and now the machine just can not boot.

  
Actual results: 

    can not find FC3 operation system installed.


Expected results:

    machine should boot.


Additional info:

    no.
Comment 1 Jeremy Katz 2004-12-13 20:48:56 EST
The driver load order is determined by PCI ordering which ends up
being machine and even BIOS dependent.  You can change the ordering of
the drives for boot loader purposes by going into the advanced boot
loader screen and changing the drive order.

Note You need to log in before you can comment on or make changes to this bug.